Index: /trunk/gli/src/org/greenstone/gatherer/Gatherer.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/Gatherer.java	(revision 13593)
+++ /trunk/gli/src/org/greenstone/gatherer/Gatherer.java	(revision 13594)
@@ -44,4 +44,5 @@
 import org.greenstone.gatherer.file.RecycleBin;
 import org.greenstone.gatherer.greenstone.Classifiers;
+import org.greenstone.gatherer.greenstone.LocalGreenstone;
 import org.greenstone.gatherer.greenstone.LocalLibraryServer;
 import org.greenstone.gatherer.greenstone.Plugins;
Index: unk/gli/src/org/greenstone/gatherer/LocalGreenstone.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/LocalGreenstone.java	(revision 13593)
+++ 	(revision )
@@ -1,64 +1,0 @@
-/**
- *############################################################################
- * A component of the Greenstone Librarian Interface, part of the Greenstone
- * digital library suite from the New Zealand Digital Library Project at the
- * University of Waikato, New Zealand.
- *
- * Author: Michael Dewsnip, NZDL Project, University of Waikato, NZ
- *
- * Copyright (C) 2005 New Zealand Digital Library Project
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *############################################################################
- */
-
-package org.greenstone.gatherer;
-
-
-import java.io.*;
-
-
-/**
- * This class contains static functions that only make sense when running with a local Greenstone.
- * None of these functions should be called if the GLI is using a remote Greenstone.
- */
-public class LocalGreenstone
-{
-    static private String gsdl_directory_path = null;
-
-
-    static public String getBinScriptDirectoryPath()
-    {
-	return gsdl_directory_path + "bin" + File.separator + "script" + File.separator;
-    }
-
-
-    static public String getDirectoryPath()
-    {
-	return gsdl_directory_path;
-    }
-
-
-    static public String getTmpDirectoryPath()
-    {
-	return gsdl_directory_path + "tmp" + File.separator;
-    }
-
-
-    static public void setDirectoryPath(String gsdl_directory_path_arg)
-    {
-	gsdl_directory_path = gsdl_directory_path_arg;
-    }
-}
Index: /trunk/gli/src/org/greenstone/gatherer/cdm/ClassifierManager.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/cdm/ClassifierManager.java	(revision 13593)
+++ /trunk/gli/src/org/greenstone/gatherer/cdm/ClassifierManager.java	(revision 13594)
@@ -40,5 +40,4 @@
 import org.greenstone.gatherer.Dictionary;
 import org.greenstone.gatherer.Gatherer;
-import org.greenstone.gatherer.LocalGreenstone;
 import org.greenstone.gatherer.greenstone.Classifiers;
 import org.greenstone.gatherer.gui.DesignPaneHeader;
Index: /trunk/gli/src/org/greenstone/gatherer/cdm/PluginManager.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/cdm/PluginManager.java	(revision 13593)
+++ /trunk/gli/src/org/greenstone/gatherer/cdm/PluginManager.java	(revision 13594)
@@ -41,5 +41,4 @@
 import org.greenstone.gatherer.Dictionary;
 import org.greenstone.gatherer.Gatherer;
-import org.greenstone.gatherer.LocalGreenstone;
 import org.greenstone.gatherer.collection.CollectionContentsChangedListener;
 import org.greenstone.gatherer.greenstone.Plugins;
Index: /trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java	(revision 13593)
+++ /trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java	(revision 13594)
@@ -47,5 +47,4 @@
 import org.greenstone.gatherer.Dictionary;
 import org.greenstone.gatherer.Gatherer;
-import org.greenstone.gatherer.LocalGreenstone;
 import org.greenstone.gatherer.ServletConfiguration;
 import org.greenstone.gatherer.cdm.CollectionDesignManager;
@@ -54,4 +53,5 @@
 import org.greenstone.gatherer.cdm.CommandTokenizer;
 import org.greenstone.gatherer.greenstone.Classifiers;
+import org.greenstone.gatherer.greenstone.LocalGreenstone;
 import org.greenstone.gatherer.greenstone.LocalLibraryServer;
 import org.greenstone.gatherer.greenstone.Plugins;
Index: /trunk/gli/src/org/greenstone/gatherer/collection/ScriptOptions.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/collection/ScriptOptions.java	(revision 13593)
+++ /trunk/gli/src/org/greenstone/gatherer/collection/ScriptOptions.java	(revision 13594)
@@ -9,6 +9,6 @@
 import org.greenstone.gatherer.DebugStream;
 import org.greenstone.gatherer.Gatherer;
-import org.greenstone.gatherer.LocalGreenstone;
 import org.greenstone.gatherer.cdm.Argument;
+import org.greenstone.gatherer.greenstone.LocalGreenstone;
 import org.greenstone.gatherer.remote.RemoteGreenstoneServer;
 import org.greenstone.gatherer.util.ArrayTools;
Index: /trunk/gli/src/org/greenstone/gatherer/download/DownloadJob.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/download/DownloadJob.java	(revision 13593)
+++ /trunk/gli/src/org/greenstone/gatherer/download/DownloadJob.java	(revision 13594)
@@ -47,5 +47,5 @@
 import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.GAuthenticator;
-import org.greenstone.gatherer.LocalGreenstone;
+import org.greenstone.gatherer.greenstone.LocalGreenstone;
 import org.greenstone.gatherer.file.WorkspaceTree;
 import org.greenstone.gatherer.util.AppendLineOnlyFileDocument;
Index: /trunk/gli/src/org/greenstone/gatherer/download/ServerInfoDialog.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/download/ServerInfoDialog.java	(revision 13593)
+++ /trunk/gli/src/org/greenstone/gatherer/download/ServerInfoDialog.java	(revision 13594)
@@ -13,5 +13,5 @@
 import org.greenstone.gatherer.Dictionary;
 import org.greenstone.gatherer.Gatherer;
-import org.greenstone.gatherer.LocalGreenstone;
+import org.greenstone.gatherer.greenstone.LocalGreenstone;
 import org.greenstone.gatherer.gui.*;
 import org.greenstone.gatherer.util.Utility;
Index: /trunk/gli/src/org/greenstone/gatherer/greenstone/Classifiers.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/greenstone/Classifiers.java	(revision 13593)
+++ /trunk/gli/src/org/greenstone/gatherer/greenstone/Classifiers.java	(revision 13594)
@@ -34,5 +34,4 @@
 import org.greenstone.gatherer.Dictionary;
 import org.greenstone.gatherer.Gatherer;
-import org.greenstone.gatherer.LocalGreenstone;
 import org.greenstone.gatherer.cdm.Argument;
 import org.greenstone.gatherer.cdm.Classifier;
Index: /trunk/gli/src/org/greenstone/gatherer/greenstone/LocalGreenstone.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/greenstone/LocalGreenstone.java	(revision 13594)
+++ /trunk/gli/src/org/greenstone/gatherer/greenstone/LocalGreenstone.java	(revision 13594)
@@ -0,0 +1,64 @@
+/**
+ *############################################################################
+ * A component of the Greenstone Librarian Interface, part of the Greenstone
+ * digital library suite from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * Author: Michael Dewsnip, NZDL Project, University of Waikato, NZ
+ *
+ * Copyright (C) 2005 New Zealand Digital Library Project
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *############################################################################
+ */
+
+package org.greenstone.gatherer.greenstone;
+
+
+import java.io.*;
+
+
+/**
+ * This class contains static functions that only make sense when running with a local Greenstone.
+ * None of these functions should be called if the GLI is using a remote Greenstone.
+ */
+public class LocalGreenstone
+{
+    static private String gsdl_directory_path = null;
+
+
+    static public String getBinScriptDirectoryPath()
+    {
+	return gsdl_directory_path + "bin" + File.separator + "script" + File.separator;
+    }
+
+
+    static public String getDirectoryPath()
+    {
+	return gsdl_directory_path;
+    }
+
+
+    static public String getTmpDirectoryPath()
+    {
+	return gsdl_directory_path + "tmp" + File.separator;
+    }
+
+
+    static public void setDirectoryPath(String gsdl_directory_path_arg)
+    {
+	gsdl_directory_path = gsdl_directory_path_arg;
+    }
+}
Index: /trunk/gli/src/org/greenstone/gatherer/greenstone/Plugins.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/greenstone/Plugins.java	(revision 13593)
+++ /trunk/gli/src/org/greenstone/gatherer/greenstone/Plugins.java	(revision 13594)
@@ -34,5 +34,4 @@
 import org.greenstone.gatherer.Dictionary;
 import org.greenstone.gatherer.Gatherer;
-import org.greenstone.gatherer.LocalGreenstone;
 import org.greenstone.gatherer.cdm.Argument;
 import org.greenstone.gatherer.cdm.Plugin;
Index: /trunk/gli/src/org/greenstone/gatherer/gui/DownloadPane.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/gui/DownloadPane.java	(revision 13593)
+++ /trunk/gli/src/org/greenstone/gatherer/gui/DownloadPane.java	(revision 13594)
@@ -50,6 +50,6 @@
 import org.greenstone.gatherer.Dictionary;
 import org.greenstone.gatherer.Gatherer;
-import org.greenstone.gatherer.LocalGreenstone;
 import org.greenstone.gatherer.file.WorkspaceTree;
+import org.greenstone.gatherer.greenstone.LocalGreenstone;
 import org.greenstone.gatherer.util.StaticStrings;
 import org.greenstone.gatherer.util.Utility;
Index: /trunk/gli/src/org/greenstone/gatherer/gui/ExplodeMetadataDatabasePrompt.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/gui/ExplodeMetadataDatabasePrompt.java	(revision 13593)
+++ /trunk/gli/src/org/greenstone/gatherer/gui/ExplodeMetadataDatabasePrompt.java	(revision 13594)
@@ -40,5 +40,4 @@
 import org.greenstone.gatherer.Configuration;
 import org.greenstone.gatherer.Gatherer;
-import org.greenstone.gatherer.LocalGreenstone;
 import org.greenstone.gatherer.cdm.Argument;
 import org.greenstone.gatherer.cdm.ArgumentControl;
@@ -47,4 +46,5 @@
 import org.greenstone.gatherer.collection.CollectionManager;
 import org.greenstone.gatherer.collection.ScriptOptions;
+import org.greenstone.gatherer.greenstone.LocalGreenstone;
 import org.greenstone.gatherer.gui.tree.DragTree;
 import org.greenstone.gatherer.metadata.MetadataXMLFileManager;
Index: /trunk/gli/src/org/greenstone/gatherer/gui/ExportAsPrompt.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/gui/ExportAsPrompt.java	(revision 13593)
+++ /trunk/gli/src/org/greenstone/gatherer/gui/ExportAsPrompt.java	(revision 13594)
@@ -49,6 +49,6 @@
 import org.greenstone.gatherer.Dictionary;
 import org.greenstone.gatherer.Gatherer;
-import org.greenstone.gatherer.LocalGreenstone;
 import org.greenstone.gatherer.collection.BasicCollectionConfiguration;
+import org.greenstone.gatherer.greenstone.LocalGreenstone;
 import org.greenstone.gatherer.shell.GShell;
 import org.greenstone.gatherer.shell.GShellEvent;
Index: /trunk/gli/src/org/greenstone/gatherer/gui/WriteCDImagePrompt.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/gui/WriteCDImagePrompt.java	(revision 13593)
+++ /trunk/gli/src/org/greenstone/gatherer/gui/WriteCDImagePrompt.java	(revision 13594)
@@ -47,7 +47,7 @@
 import org.greenstone.gatherer.Dictionary;
 import org.greenstone.gatherer.Gatherer;
-import org.greenstone.gatherer.LocalGreenstone;
 import org.greenstone.gatherer.collection.BasicCollectionConfiguration;
 import org.greenstone.gatherer.collection.CollectionManager;
+import org.greenstone.gatherer.greenstone.LocalGreenstone;
 import org.greenstone.gatherer.shell.GShell;
 import org.greenstone.gatherer.shell.GShellEvent;