Index: /trunk/gli/src/org/greenstone/gatherer/Gatherer.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/Gatherer.java	(revision 13599)
+++ /trunk/gli/src/org/greenstone/gatherer/Gatherer.java	(revision 13600)
@@ -462,4 +462,13 @@
 	}
 
+	// If using a remote Greenstone we need to download the collection configurations now
+	if (Gatherer.isGsdlRemote) {
+	    if (RemoteGreenstoneServer.downloadCollectionConfigurations().equals("")) {
+		// !! Something went wrong downloading the collection configurations
+		System.err.println("Error: Could not download collection configurations.");
+		System.exit(0);
+	    }
+	}
+
 	// If there was a collection left open last time, reopen it
 	c_man.openCollectionFromLastTime();
Index: /trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java	(revision 13599)
+++ /trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java	(revision 13600)
@@ -102,7 +102,4 @@
     static private GShellProgressMonitor import_monitor = null;
 
-    /** Whether we have downloaded the collection configurations in this session, when using a remote Greenstone. */
-    static public boolean downloaded_collection_configurations = false;
-
     /** The name of the standard lock file. */
     static final public String LOCK_FILE = "gli.lck";
@@ -1067,15 +1064,5 @@
     {
 	// If there was an open collection last session, reopen it
-	if (Gatherer.open_collection_file_path != null && !Gatherer.isGsdlRemote) {
-	    // If we're using a remote Greenstone server we must download the collection configurations first
-	    // if (Gatherer.isGsdlRemote && !CollectionManager.downloaded_collection_configurations) {
-	    // if (RemoteGreenstoneServer.downloadCollectionConfigurations().equals("")) {
-		    // Something went wrong downloading the collection configurations
-		    // return;
-	    // }
-
-	    // CollectionManager.downloaded_collection_configurations = true;
-	    // }
-
+	if (Gatherer.open_collection_file_path != null) {
 	    // Load the collection now
 	    loadCollection(Gatherer.open_collection_file_path);
Index: /trunk/gli/src/org/greenstone/gatherer/gui/GUIManager.java
===================================================================
--- /trunk/gli/src/org/greenstone/gatherer/gui/GUIManager.java	(revision 13599)
+++ /trunk/gli/src/org/greenstone/gatherer/gui/GUIManager.java	(revision 13600)
@@ -673,14 +673,4 @@
 	public void run()
 	{
-	    // If using a remote Greenstone check if the collection configurations have been downloaded; do so if not
-	    if (Gatherer.isGsdlRemote && !CollectionManager.downloaded_collection_configurations) {
-		if (RemoteGreenstoneServer.downloadCollectionConfigurations().equals("")) {
-		    // Something went wrong downloading the collection configurations
-		    return;
-		}
-
-		CollectionManager.downloaded_collection_configurations = true;
-	    }
-
 	    String collection_file_path = showOpenCollectionDialog();
 
@@ -727,14 +717,4 @@
 	public void run()
 	{
-	    // If using a remote Greenstone check if the collection configurations have been downloaded; do so if not
-	    if (Gatherer.isGsdlRemote && !CollectionManager.downloaded_collection_configurations) {
-		if (RemoteGreenstoneServer.downloadCollectionConfigurations().equals("")) {
-		    // Something went wrong downloading the collection configurations
-		    return;
-		}
-
-		CollectionManager.downloaded_collection_configurations = true;
-	    }
-
 	    // Create the collection details prompt from new collection prompt
 	    NewCollectionDetailsPrompt ncd_prompt = new NewCollectionDetailsPrompt();
@@ -763,14 +743,4 @@
 	public void run()
 	{
-	    // If using a remote Greenstone check if the collection configurations have been downloaded; do so if not
-	    if (Gatherer.isGsdlRemote && !CollectionManager.downloaded_collection_configurations) {
-		if (RemoteGreenstoneServer.downloadCollectionConfigurations().equals("")) {
-		    // Something went wrong downloading the collection configurations
-		    return;
-		}
-
-		CollectionManager.downloaded_collection_configurations = true;
-	    }
-
 	    // The rest is handled by the DeleteCollectionPrompt
 	    DeleteCollectionPrompt dc_prompt = new DeleteCollectionPrompt();